To create a Curve in the Main Menu select New Entity - > Basic - > Curve
There are three Curve Construction menu choices corresponding to three possible types of curves: Polyline, Besier or B-spline (Interpolated). The curve is defined by a list of Points through which it passes.
There are two ways to define these Points:
The Result of each operation will be a GEOM_Object (edge).
Polyline
Polyline or polygonal chain is a connected series of line segments. It can be defined by the following parameters:
TUI Command: geompy.MakePolyline(ListOfShapes,isClosed)
Bezier
Bezier curve is a curve completely contained in a convex hull of its control points. It can be defined by the following parameters:
TUI Command: geompy.MakeBezier(ListOfShapes,isClosed)
B-spline
B-spline is a union of curve segments defined at each node span. It can be defined by the following parameters:
TUI Command:
geompy.MakeInterpol(ListOfShapes,isClosed,doReordering)
geompy.MakeInterpolWithTangents(ListOfShapes,Vector1,Vector2)
Analytical Definition
The input parameters for analytical definition are common for all types of curves.
TUI Command: geompy.MakeCurveParametric(XExpr, YExpt, ZExpt, tMin, tMax, nbSteps, curveType, True)
Advanced options Preview
Our TUI Scripts provide you with useful examples of creation of Basic Geometric Objects.